jQuery( function () {
	jQuery( 'input[name="view[data][mode]"]' ).on( 'change', function () {
		if ( this.value === 'single_template' ) {
			jQuery( '#wpmtst-views-form .wpmtst-alert' ).hide();
			jQuery( '#wpmtst-views-form .then_single_template' ).hide();
			jQuery( '#wpmtst-views-form .wpmtst-submit' ).hide();
		} else {
			jQuery( '#wpmtst-views-form .wpmtst-alert' ).show();
			jQuery( '#wpmtst-views-form .wpmtst-submit' ).show();
		}
	} );
	if ( jQuery( '.set_default_image' ).length > 0 ) {
		if ( typeof wp !== 'undefined' && wp.media && wp.media.editor ) {
			jQuery( '.set_default_image' ).on( 'click', function ( e ) {
				e.preventDefault();
				const button = jQuery( this );
				const id = button.prev();
				wp.media.editor.send.attachment = function (
					props,
					attachment
				) {
					id.val( attachment.id );
					const url = wp.media
						.attachment( attachment.id )
						.get( 'url' );
					jQuery( '.wpmtst_default_preview_image' ).show();
					jQuery( '.wpmtst_default_processed_image' ).attr(
						'src',
						url
					);
				};
				wp.media.editor.open( button );
				return false;
			} );
			jQuery( '.wpmtst_default_remove_image' ).on(
				'click',
				function ( e ) {
					e.preventDefault();
					jQuery( '#process_custom_images' ).val( '' );
					jQuery( '.wpmtst_default_preview_image' ).hide();
				}
			);
		}
	}


	jQuery(document).on('click', '#st-master-license-btn', (event) => {
		event.preventDefault();
		const target     = jQuery(event.target),
			  action     = target.data('action'),
			  nextAction = ('activate' === action) ? 'deactivate' : 'activate',
			  nextText   = ('activate' === action) ? wpmtst_admin.deactivate : wpmtst_admin.activate,
			  nonce      = target.closest('table.wpmtst_license_table').find('input[type="hidden"]').val(),
			  license    = jQuery('input#strong_testimonials_license_key').val(),
			  email      = jQuery('input#strong_testimonials_email').val(),
			  alt_server = jQuery('input#strong_testimonials_alt_server').is(':checked'),
			  label      = target.closest('table.wpmtst_license_table').find('.strong-testimonials-license-label'),
			  data       = {
				  action      : 'wpmtst_license_action',
				  nonce       : nonce,
				  license     : license,
				  email       : email,
				  alt_server  : alt_server,
				  click_action: action
			  },
			  buttonText = ('deactivate' === action) ? wpmtst_admin.deactivating : wpmtst_admin.activating;
		target.text(buttonText);
		target.addClass('wpmtst-disabled button-disabled');

		if ( '' === license ) {
			label.html(wpmtst_admin.enter_license);
			target.text(wpmtst_admin.activate);
			return;
		}

		jQuery.post(ajaxurl, data, (response) => {
			if (response.success) {
				label.html(response.data.message);
				target.data('action', nextAction);
				target.html(nextText);
				// Refresh window after 1.5 seconds.
				setTimeout(() => { window.location.reload(); }, 1500);
			} else {
				if ('undefined' !== typeof response.data) {
					label.html(response.data.message);
				} else {
					label.html(wpmtst_admin.something_wrong);
				}
				// Refresh window after 3.5 seconds.
				setTimeout(() => { window.location.reload(); }, 3500);
			}
		});
	});

	jQuery(document).on('click', '#st-forgot-license', (event) => {
		event.preventDefault();

		const target     = jQuery(event.target),
			  nonce      = target.data('nonce'),
			  email      = target.closest('table.wpmtst_license_table').find('input[type="email"]').val(),
			  label      = target.closest('table.wpmtst_license_table').find('.strong-testimonials-license-label'),
			  buttonText = target.text(),
			  actionText = wpmtst_admin.retrieving_data;

		target.text(actionText);

		if (!email || '' === email) {
			label.html(wpmtst_admin.enter_email);
			return;
		}

		const data = {
			action: 'wpmtst_forgot_license',
			nonce : nonce,
			email : email
		};

		jQuery.post(ajaxurl, data, (response) => {
			target.text(buttonText);
			if (response.success) {
				label.html(response.data.message);
			} else {
				if ('undefined' !== typeof response.data) {
					label.html(response.data.message);
				} else {
					label.html(wpmtst_admin.something_wrong);
				}
			}
		});
	});
} );
